using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IDetailLogic
	{
		List<DetailViewModel>? ReadList(DetailSearchModel? model);
		DetailViewModel? ReadElement(DetailSearchModel? model);
		bool Create(DetailBindingModel? model);
		bool Update(DetailBindingModel? model);
		bool Delete(DetailBindingModel? model);
	}
}
